:::::::::::::::::::::::::::::::::::::::::::::;::::::::::::::::::::::::::::::::::::
: Use this batch file to launch the tbcas solution from the OSS Command Prompt,
: or from a command prompt that has set up the proper environment variables.
: Alternatively, you can open the tbcas solution file directly from Visual Studio.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

@echo off
if %1. == .      goto start_vs
if %1. == clean. goto clean
if %1. == help.  goto usage

echo Wrong argument '%1'.
:usage
echo Usage: run [no arguments^|asn1^|clean^|help]
exit /b 1


:start_vs
cd ..\
call run.bat asn1

echo Copying generated C# code to the project directory...
xcopy /q /s /y Bcas\* .\tbcas_vs\Bcas\
echo Copying tbcas.cs...
copy tbcas.cs /y .\tbcas_vs\

cd tbcas_vs\
echo Starting Visual Studio...
devenv tbcas.csproj
exit /b 0


:clean
del tbcas.cs             2>nul
rmdir /q /s Bcas         2>nul
rmdir /q /s bin          2>nul
rmdir /q /s obj          2>nul
echo Cleanup done.
exit /b 0
